#ifndef __UDS_27SERVICE_INTERNA_H
#define __UDS_27SERVICE_INTERNA_H

#include "stdint.h"
#include "UDS_Common.h"

void Ser27_CreateRandomSeed(void);
void Ser27_ErrDelayTimerCtrlInit(void);
void Ser27_EnDelayTimer(void);
extern uint32_t Ser27_SeedRandomNumber;
void Ser27_WriteCtrlInfoToDFlash(void);
void Ser27_ReadCtrlInfoFromDFlash(void);

#endif